@import url("https:://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  user-select: none;
  -webkit-user-drag: none;
  user-drag: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

body {
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  position: relative;
}

#audio {
  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: transparent;
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd, inset 0 0 10px #00cdcd;
  border: 1px solid #00cdcd;
  cursor: pointer;
  margin: 20px;
}
#soundVolumeBar {
  width: 150px;
  height: 10px;
  border: 1px solid #00cdcd;
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd;
  border-radius: 5px;
  cursor: pointer;
}
#volumeBarContainer {
  width: 150px;
  height: 10px;
  position: relative;
  margin-bottom: 40px;
}

#soundVolume {
  -webkit-appearance: none;
  width: 150px;
  height: 10px;
  border: 1px solid #00cdcd;
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd;
  border-radius: 5px;
  cursor: pointer;
  background: transparent;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}
#soundVolume::-webkit-slider-thumb {
  opacity: 0;
}
#volume {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 5px;
  background: #00cdcd;
}

#menusettings {
  height: 100vh;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  position: relative;
}

#backgroundSelector {
  position: absolute;
  padding-top: 20px;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  z-index: 2;
  background: #282828;
  display: grid;
  overflow-y: auto;
}

#authorNoteTab {
  width: 50%;
  height: 50%;
  background: #282828;
  border: 1px solid #00cdcd;
  box-shadow: inset 0 0 5px #00cdcd, inset 0 0 15px #00cdcd;
  position: relative;
  overflow-y: auto;
  color: #fff;
  font-weight: 500;
  padding: 50px 20px 20px 20px;
}

.imgContainer {
  cursor: pointer;
  width: 110px;
  height: 110px;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#backgroundSelector img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-top: 5px solid #00cdcd;
  margin: 20px auto 20px auto;
  cursor: pointer;
}

#startInput {
  border-radius: 5px;
  width: 250px;
  height: 25px;
  background: #000;
  color: #00cdcd;
  text-align: center;
}

#avatarSelector {
  width: 250px;
  height: 250px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}

#playerSelectedAvatar {
  width: 100px;
  height: 100px;
  border: 1px solid #00cdcd;
  cursor: pointer;
  transition: 0.3s;
}

#playerSelectedAvatar:hover {
  transform: scale(1.1);
}

#playerSelectedAvatar img {
  width: 100px;
  height: 100px;
  cursor: pointer;
  object-fit: cover;
}

#startInput:focus {
  outline: none;
  border: 1px solid #00cdcd;
}

.fa-volume-up:before {
  color: #00cdcd;
}
.fa-volume-off:before {
  color: #00cdcd;
}
#clickable {
  position: absolute;
  top: 0;
  left: 0;
  width: 85%;
  height: 100%;
  cursor: pointer;
  display: Flex;
  justify-content: center;
  align-items: center;
}

.adventureContainer {
  width: 60%;
  height: 60%;
  background: #333;
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd;
  border-radius: 1%;
  position: relative;
  display: flex;
  justify-content: space-between;
  padding: 40px;
  align-items: flex-start;
}

#locations {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  padding: 20px 0 20px 0;
  row-gap: 15px;
  position: relative;
  height: 80%;
  width: 45%;
  overflow-y: auto;
  overflow-x: hidden;
  border: 1px solid #000;
  box-shadow: inset 0 0 5px #00cdcd, inset 0 0 15px #00cdcd;
  border-radius: 5px;
}
#adventure button {
  position: absolute;
  left: 5%;
  bottom: 5%;
  width: 40%;
}

#locations .coreColor {
  margin-top: initial;
}

#loc1 .coreColor {
  background: #8b0000;
  color: #8b0000;
}
#loc2 .coreColor {
  background: #8b4513;
  color: #8b4513;
}
#loc3 .coreColor {
  background: #8b4513;
  color: #8b4513;
}
#loc4 .coreColor {
  background: #d2691e;
  color: #d2691e;
}
#loc5 .coreColor {
  background: #f4a460;
  color: #f4a460;
}
#loc6 .coreColor {
  background: #999900;
  color: #999900;
}
#loc7 .coreColor {
  background: #a9a9a9;
  color: #a9a9a9;
}

.locationColumn {
  color: #fff;
  width: 85%;
  height: 60px;
  border-radius: 3px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  font-weight: 700;
  font-size: 20px;
  align-items: center;
  box-shadow: 0 0 10px #000, 0 0 15px #000, inset 0 0 5px #000;
  cursor: pointer;
  margin: 15px;
}

.locationColumn.activeColumn {
  background: #00cdcd;
  color: #000;

  transform: scale(1.05);
}

.locationColumn:hover {
  transform: scale(1.05);
}

.locationColumn h1,
.locationColumn p {
  font-weight: 700;
  font-size: 20px;
}

.coreColor {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: #000;
  box-shadow: 0 0 5px, 0 0 15px, 0 0 25px;
  color: #000;
  margin-top: 10px;
}

#searchMonster {
  width: 50%;
  height: 75%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#searchMonster img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border: 10px solid #deb887;
  box-shadow: inset 0 0 5px #fff, 0 0 30px #000;
  border-radius: 3px;
}

#searchMonster button {
  cursor: pointer;
}

.button {
  background: #00cdcd;
  width: 200px;
  height: 50px;
  border: none;
  box-shadow: 0 0 10px #000, 0 0 30px #000;
  font-weight: 700;
  font-size: 20px;
  cursor: pointer;
  transition: 0.3s;
  border-radius: 2px;
}
.button:hover {
  transform: scale(1.05);
}
.button:active {
  transform: translateY(4px);
}

.disabled {
  user-select: none;
  pointer-events: none;
}
.close {
  position: absolute;
  top: 0;
  right: 10px;
  cursor: pointer;
  transition: 0.3s;
}

.close:hover {
  transform: scale(1.05);
}

.fa-times::before {
  color: #00cdcd;
}

#nextMonster {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 3em;
  position: relative;
}

#text {
  width: 100%;
  height: 80%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#buttons {
  width: 100%;
  height: 20%;
  display: flex;
  justify-content: space-evenly;
}

#nextMonster button {
  position: initial;
}

#fightOver button {
  left: 30%;
}
.monster {
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-size: 25px;
  color: #fff;
  text-transform: uppercase;
  font-weight: 500;
  text-shadow: 0px 0 15px #fff, 0 0 50px #fff;
}

.monster img {
  width: 350px;
  height: 350px;
  object-fit: contain;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
  border: 1px solid #00cdcd;
}

.money {
  position: absolute;
  width: 150px;
  height: 75px;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-evenly;
  align-items: flex-start;
  flex-direction: column;

  background: #282828;
  border-bottom-right-radius: 20px;
  border-right: 2px solid #00cdcd;
  border-bottom: 2px solid #00cdcd;
}

.currencyValue {
  width: 75%;
  height: 25px;
  border: 1px solid #00cdcd;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #00cdcd;
  box-shadow: inset 0 0 5px #00cdcd;
}

.moneyRow {
  display: Flex;
  justify-content: space-evenly;
  width: 100%;
  margin-bottom: 10px;
  align-items: center;
}

#goldMoney {
  left: 130px;
}

.fa-burn,
.fa-coins {
  color: #00cdcd;
}

#amount,
#goldAmount {
  width: 150px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  font-size: 35px;
  background: linear-gradient(315deg, #6617cb 0%, #cb218e 74%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 1px #333;
}

#goldAmount {
  background: radial-gradient(
      ellipse farthest-corner at right bottom,
      #fedb37 0%,
      #fdb931 8%,
      #9f7928 30%,
      #8a6e2f 40%,
      transparent 80%
    ),
    radial-gradient(
      ellipse farthest-corner at left top,
      #ffffff 0%,
      #ffffac 8%,
      #d1b464 25%,
      #5d4a1f 62.5%,
      #5d4a1f 100%
    );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 1px #333;
}

#HPBar {
  width: 500px;
  height: 30px;
  border: 1px solid #8b0000;
  box-shadow: 0 0 15px 3px #8b0000;
  border-radius: 5px;
  box-shadow: inset 0 0 15px 3px #8b0000;
}
#monsterHP {
  width: 100%;
  height: 100%;
  background: #e80000;
  border-radius: 5px;
  box-shadow: inset 0 0 15px 3px #8b0000;
}
#health {
  margin-bottom: 5px;
}
.money img {
  width: 100px;
  height: 100px;
  object-fit: contain;
}

#fightOver {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 70px;
  font-weight: 600;
  text-shadow: 0px 0 15px #fff, 0 0 50px #fff;
  width: 100%;
  height: 100%;
}

.left {
  display: grid;
  grid-auto-rows: 65px;
  position: absolute;
  width: 15%;
  height: 100%;
  box-shadow: 0 -1px 3px #00cdcd, 3px -3px 3px #00cdcd;
  right: 0;
  background: #282828;
}

.fa-arrow-circle-right::before {
  cursor: pointer;
  font-size: 25px;
}

.background {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  position: absolute;
  z-index: -2;
  user-select: none;
}

.preview {
  z-index: -1 !important;
}

.menu {
  height: 100%;
  width: 400px;
  display: flex;
  background: #000;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  /* box-shadow: 0 0 10px 0 #000, 0 0 25px 0 #000, 0 0 50px 0 #000; */
  box-shadow: 0 25px 25px 0 #000;
  -moz-box-shadow: 0 25px 25px 0 #000;
  -webkit-box-shadow: 0 25px 25px 0 #000;
  -khtml-box-shadow: 0 25px 25px 0 #000;
}

.tab {
  width: 100%;
  height: 25%;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid #00cdcd;
  position: relative;
}

.message {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 10px;
  align-items: center;
  font-size: 17px;
  font-weight: 600;
  color: #fff;
}
.value {
  display: Flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  width: 20%;
  color: #fff;
  height: 100%;
}

.click {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  position: absolute;
  z-index: 1;
  font-weight: 700;
  font-size: 27px;
  pointer-events: none;
  color: #fff;
  opacity: 0;
}
.fade {
  animation: fade 1s linear;
}

.buy {
  position: absolute;
  left: 0;
  width: 35%;
  bottom: 0;
  margin: 0 0 10px 5%;
}

.icon {
  width: 140px;
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon img {
  width: 90px;
  height: 90px;
}

.valueContainer {
  width: 100%;
  height: 50px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-evenly;
  margin-bottom: 5px;
}

.valueBox {
  width: 80px;
  height: 20px;
  border: 1px solid #00cdcd;
  text-align: center;
  margin: 5px 10px 5px 5px;
  position: relative;
  box-shadow: inset 0 0 5px #00cdcd;
  color: #fff;
}

.power::before {
  position: absolute;
  left: -55px;
  content: "Power";
  color: #fff;
}

.price::before {
  content: "Price";
  position: absolute;
  left: -55px;
  color: #fff;
}

#gameStart {
  width: 100%;
  height: 100vh;
  z-index: 1111110;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #000;
  color: #fff;
}

.authorNote {
  position: absolute;
  bottom: 5%;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  color: #fff;
  font-weight: 700;
  border: 1px solid #00cdcd;
  height: 30px;
  cursor: pointer;
  transition: 0.3s;
}
.authorNote:hover p {
  transform: scale(1.05);
}

#startContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: #444;
  width: 400px;
  height: 600px;
  border-radius: 20px;
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd;
}

.anotherContainer {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
}

#avatarimgSelector {
  border-radius: 20px;
  display: grid;
  overflow-y: auto;
  padding: 10px;
  grid-template-columns: repeat(3, 1fr);
}
#avatarimgSelector img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border: 1px solid #00cdcd;
}
.tabSelector {
  position: absolute;
  top: 0;
  right: 15%;
  height: 100%;
  width: 55px;
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
}
.menuContainer {
  position: relative;
  width: 100%;
  height: 100vh;
}

.notVisible {
  display: none !important;
}

.iconify {
  color: #00cdcd;
  margin: 5px;
  cursor: pointer;
}

.iconify:hover {
  color: rgba(0, 255, 255);
}

.general {
  width: 100%;
  height: 200px;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #00cdcd;
}
.general p {
  color: #fff;
  font-size: 20px;
}

.avatar {
  width: 100px;
  height: 100px;
  margin-bottom: 10px;
}

.avatar img {
  box-shadow: 0 0 10px #00cdcd, 0 0 30px #00cdcd;
  height: 100px;
  width: 100px;
}
#menuStatus {
  display: grid;
}

#elementStatus {
  color: #fff;
  border: 1px solid #00cdcd;
  padding: 10px;
}
.centerText {
  text-align: center;
}

#elementStatus p {
  margin: 20px 0 20px 0;
  border: 1px solid #00cdcd;
  box-shadow: inset 0 0 5px #00cdcd;
  padding: 3px;
}

#artifactStatus p {
  margin: 20px 0 20px 0;
  border: 1px solid #00cdcd;
  box-shadow: inset 0 0 5px #00cdcd;
  padding: 3px;
}

#elementalBonus {
  display: flex;
  justify-content: space-between;
}

#elementValuesContainer p {
  margin: initial;
  display: flex;
  justify-content: space-between;
  border: 1px solid #00cdcd;
  box-shadow: inset 0 0 5px #00cdcd;
}

#artifactStatus {
  color: #fff;
  border: 1px solid #00cdcd;
  padding: 10px;
}

.shopIcon {
  width: 150px;
  height: 150px;
}

.shopIcon img {
  width: 100%;
  height: 100%;
}

@keyframes fade {
  0% {
    opacity: 0.7;
  }
  33% {
    opacity: 1;
  }
  70% {
    opacity: 0.3;
  }
  100% {
    opacity: 0;
  }
}

@media (max-width: 1366px) {
  .general p {
    font-size: 1.2em;
  }
  .valueContainer {
    height: 90px;
  }

  .power::before {
    position: absolute;
    top: -22px;
    left: 0;
  }
  .valueBox {
    margin: 5px 10px 25px 5px;
  }

  .price::before {
    top: -22px;
    left: 0;
  }

  #backgroundButton {
    width: 75%;
  }

  #elementalBonus {
    font-size: 14px;
  }
}

@media (max-width: 1050px) {
  .icon {
    width: 100%;
    height: 30%;
    padding: 5%;
  }
  .icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
  }
  .valueBox {
    width: 40%;
    margin: 25px 5px 5px 5px;
  }
  .message {
    font-size: 1em;
  }

  #volumeBarContainer {
    width: 90%;
  }
  #soundVolume {
    width: 100%;
  }

  .button {
    font-size: 1em;
  }

  .general p {
    font-size: 1em;
  }

  #playerName {
    width: 80%;
    margin-bottom: 5px;
  }

  .general {
    height: 25%;
  }
  #fightOver {
    font-size: 3em;
  }

  .button {
    font-size: 1rem;
  }

  .left {
    width: 20%;
  }

  .tabSelector {
    right: 20%;
  }

  #clickable {
    width: 80%;
  }

  #HPBar {
    width: 80%;
  }

  .adventureContainer {
    width: 85%;
  }
}

@media (max-width: 768px) {
  .authorNote {
    bottom: initial;
    top: 0;
    right: 0;
    width: 30%;
  }
  .left {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 25%;
  }

  .menuContainer {
    height: 100%;
  }

  .tabSelector {
    right: 0;
    flex-direction: row-reverse;
    width: 100%;
    z-index: 1000;
    height: 5%;
  }

  .tab {
    width: 25%;
    height: 100%;
  }

  #artifactStatus {
    width: 33%;
    font-size: 12px;
  }

  .menuContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 100%;
    height: 25vh;
    justify-content: flex-end;
    position: relative;
  }

  .buy {
    width: 90%;
  }

  .valueContainer {
    display: flex;
    flex-direction: column;
    height: initial;
    align-items: flex-start;
    margin: 0 5% 0 10%;
  }

  .message {
    display: none;
  }

  .valueBox {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #clickable {
    width: 100%;
    height: 75%;
    /* z-index: 1000; */
  }

  #shopIcon {
    width: 100%;
    height: 50%;
  }

  .shopTab {
    width: 50%;
    align-items: flex-start;
    flex-direction: row;
  }

  .shopIcon {
    width: 65%;
    height: 65%;
  }
  .shopContainer {
    width: 50%;
  }

  #shop1Price {
    width: 100%;
    font-size: 1em;
  }

  #backgroundSelector {
    grid-gap: 10px;
    grid-auto-flow: column;
    height: 25vh;
  }

  #backgroundSelector img {
    height: 80%;
    object-fit: cover;
    border: initial;
  }

  .general {
    border-bottom: initial;
    height: 100%;
    width: 33%;
    position: absolute;
    left: 0;
  }

  #elementStatus {
    font-size: 12px;
    width: 33%;
  }
  #searchMonster {
    display: none;
  }

  #locations {
    width: 100%;
  }

  #adventure button {
    left: 30%;
  }

  .monster img {
    height: 60%;
    width: 60%;
    object-fit: contain;
  }

  .monster {
    font-size: 1em;
  }

  #HPBar {
    height: 15px;
  }

  .avatar {
    margin-bottom: initial;
    margin-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .avatar img {
    width: 80px;
    height: 80px;
  }
}
@media (max-width: 550px) {
  #artifactStatus p {
    margin: 5px 0 5px 0;
    font-size: 10px;
  }

  #elementalBonus {
    font-size: 10px;
  }

  .left {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 25%;
  }

  .menuContainer {
    height: 100%;
  }

  .tabSelector {
    right: 0;
    flex-direction: row-reverse;
    width: 100%;
    z-index: 1000;
    height: 5%;
  }

  .tab {
    width: 25%;
    height: 100%;
  }

  .menuContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 100%;
    height: 25vh;
  }

  .buy {
    width: 90%;
  }

  .valueContainer {
    display: flex;
    flex-direction: row;
    height: initial;
  }

  .message {
    display: none;
  }

  .valueBox {
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #clickable {
    width: 100%;
    height: 75%;
    z-index: 1000;
  }

  #shopIcon {
    width: 100%;
    height: 50%;
  }

  .shopTab {
    width: 50%;
    align-items: flex-start;
    flex-direction: row;
  }

  .shopIcon {
    width: 65%;
    height: 65%;
  }
  .shopContainer {
    width: 50%;
  }

  #shop1Price {
    width: 100%;
  }

  #backgroundSelector {
    grid-gap: 10px;
    grid-auto-flow: column;
    height: 25vh;
  }

  #backgroundSelector img {
    height: 80%;
    object-fit: cover;
    border: initial;
  }

  .general {
    border-bottom: initial;
    border-right: 1px solid #00cdcd;
    height: 100%;
  }

  #elementStatus {
    font-size: 12px;
  }

  #elementStatus p {
    margin: 5px 0 5px 0;
  }

  #searchMonster {
    display: none;
  }

  #locations {
    width: 100%;
  }

  .monster img {
    height: 60%;
    width: 60%;
    object-fit: contain;
  }

  .monster {
    font-size: 1em;
  }

  #HPBar {
    height: 15px;
  }
  .avatar {
    margin: 10px 0 10px 0;
  }

  .coreColor {
    width: 30px;
    height: 30px;
  }

  .money {
    width: 130px;
  }

  #nextMonster {
    font-size: 2em;
  }
}
